// Copyright 2010 Jochen Becher
//
// This file is part of MovieSchedule.
//
// MovieSchedule is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// MovieSchedule is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MovieSchedule.  If not, see <http://www.gnu.org/licenses/>.

#ifndef CALENDAR_H
#define CALENDAR_H

#ifdef MAEMO_SDK

#include <QObject>
#include <QDateTime>

class CMulticalendar;

class Calendar : public QObject
{
    Q_OBJECT

public:
    Calendar(QObject *parent = 0);
    ~Calendar();

    bool AddEvent(const QString &event_name,
                  const QDateTime &start_time, const QDateTime &end_time,
                  const QString &location, const QString &description);
private:
    CMulticalendar *_multi_calendar;
};

#endif

#endif // CALENDAR_H
